class iaas::role::controller (

$zookeeper_id = undef,

){
# Base
  class { 'iaas::profile::base': } ->
  class { 'iaas::profile::database-client': } ->
  class { 'iaas::profile::keystone': } ~> 
  class { 'iaas::profile::glance': } ->
  class { 'iaas::profile::cinder': } ->
  class { 'iaas::profile::nova::controller': } ->
  class { 'iaas::profile::neutron::server': } ->
#  class { 'iaas::profile::neutron::router': } -> 
  class { 'iaas::profile::ceilometer::controller': 
    zookeeper_id => $zookeeper_id
  } ->
  class { 'iaas::profile::heat': } ->
  class { 'iaas::profile::horizon': } ->
  class { 'iaas::setup::sharednetwork': } ->
  class { 'iaas::profile::auth_file': }
}
